from . import boardtype

import os
import pytest
import subprocess

suspended_time_s = 15


@pytest.mark.skipif(not boardtype.is_librem5(), reason="Not a phone")
def test_rtcwake():
    global suspended_time_s
    out = subprocess.run(["rtcwake",
                          "--seconds",
                          str(suspended_time_s),
                          "--mode",
                          "no"],
                         capture_output=True)
    assert (out.returncode == 0)
    suspend = "systemctl suspend"
    os.system(suspend)


@pytest.mark.skipif(not boardtype.is_librem5(), reason="Not a phone")
def test_dmesg_errors():
    global suspended_time_s
    out = subprocess.run(["journalctl",
                          "--since=-" + str(suspended_time_s) + "s",
                          "--until=now",
                          "--dmesg",
                          "--priority=err",
                          "--output=cat"],
                         capture_output=True)
    print("Output is {}".format(out))
    assert (out == b'')
    assert (out.returncode == 0)
