from . import boardtype

import pytest


def read_firmware_version():
    try:
        with open('/sys/kernel/debug/edt_ft5x06/fw_version') as f:
            return int(f.read())
    except Exception:
        return 0


@pytest.mark.skipif(not boardtype.is_librem5(), reason="Not a phone")
@pytest.mark.skipif(abs(read_firmware_version()) > 100,
                    reason="Firmware version only readable while screen on.")
def test_firmware_version():
    if boardtype.is_evergreen():
        assert (read_firmware_version() == 2)
    else:
        assert (read_firmware_version() == 3)


def test_touch_controller():
    if boardtype.is_librem5():
        if boardtype.is_evergreen():
            match = 'N: Name="EP0700M09'
        else:
            match = 'N: Name="generic ft5x06'
    else:
        match = 'N: Name="Goodix Capacitive TouchScreen'
    assert (match in open("/proc/bus/input/devices").read())
